"use client";
import { jsx as t } from "react/jsx-runtime";
import { ContentEditable as r } from "../../../node_modules/@lexical/react/LexicalContentEditable.prod.js";
import { cn as o } from "../../../lib/utils.js";
function s({
  placeholder: e,
  className: n,
  placeholderClassName: l
}) {
  return /* @__PURE__ */ t(
    r,
    {
      className: o(
        "ContentEditable__root relative block overflow-auto px-8 py-4 focus:outline-none",
        n
      ),
      "aria-placeholder": e,
      placeholder: /* @__PURE__ */ t(
        "div",
        {
          className: o(
            "text-muted-foreground pointer-events-none absolute top-0 left-0 overflow-hidden px-8 py-[18px] text-ellipsis select-none",
            l
          ),
          children: e
        }
      )
    }
  );
}
export {
  s as ContentEditable
};
